Package edu.wisc.game.engine

## Class AutomaticRuleGenerator

- java.lang.Object
- - edu.wisc.game.engine.AutomaticRuleGenerator

-     public class AutomaticRuleGenerator
      extends Object

  An AutomaticRuleGenerator is used to create multiple rule set files based on the same pattern.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutomaticRuleGenerator​(Long seed, ParaSet _para)` | Ensures that the para table has the default (legacy) values for "colors" and "shapes", if none are supplied in the CSV file.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getColorNames()` |
    `String[]` | `getShapeNames()` |
    `static void` | `main​(String[] argv)` |
    `Vector<String>` | `varReport()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutomaticRuleGenerator

          public AutomaticRuleGenerator​(Long seed,
                                        ParaSet _para)
                                 throws RuleParseException

      Ensures that the para table has the default (legacy) values for "colors" and "shapes", if none are supplied in the CSV file.
      Throws:
        `RuleParseException`

  - ### Method Detail

    - #### getColorNames

          public String[] getColorNames()
                                 throws RuleParseException

      Throws:
        `RuleParseException`

    - #### getShapeNames

          public String[] getShapeNames()
                                 throws RuleParseException

      Throws:
        `RuleParseException`

    - #### main

          public static void main​(String[] argv)
                           throws IOException,
                                  IllegalInputException,
                                  RuleParseException

      Throws:
        `IOException`
        `IllegalInputException`
        `RuleParseException`

    - #### varReport

          public Vector<String> varReport()
                                   throws RuleParseException

      Throws:
        `RuleParseException`